Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.cdi.impl
Class UserTaskServiceCDIImpl

    java.lang.Object
      org.jbpm.kie.services.impl.UserTaskServiceImpl
          org.jbpm.services.cdi.impl.UserTaskServiceCDIImpl

All Implemented Interfaces:
  VariablesAware, UserTaskService

    @ApplicationScoped
    public class UserTaskServiceCDIImpl

extends UserTaskServiceImpl

Constructor Summary
`UserTaskServiceCDIImpl()`

Method Summary
`void` | `setDataService(RuntimeDataService dataService)`
`void` | `setDeploymentService(DeploymentService deploymentService)`
`void` | `setNonProcessScopedTaskService(org.kie.internal.task.api.InternalTaskService nonProcessScopedTaskService)`

Methods inherited from class org.jbpm.kie.services.impl.UserTaskServiceImpl
`activate, addAttachment, addComment, claim, complete, delegate, deleteAttachment, deleteComment, deleteContent, disposeRuntimeEngine, execute, execute, exit, fail, forward, getAttachmentById, getAttachmentContentById, getAttachmentsByTaskId, getCommentById, getCommentsByTaskId, getRuntimeManager, getRuntimeManager, getTask, getTaskInputContentByTaskId, getTaskOutputContentByTaskId, nominate, process, release, resume, saveContent, setDescription, setExpirationDate, setName, setPriority, setSkipable, skip, start, stop, suspend`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserTaskServiceCDIImpl

    public UserTaskServiceCDIImpl()

Method Detail

### setDeploymentService

    @Inject
    public void setDeploymentService(DeploymentService deploymentService)

  Overrides:
    `setDeploymentService` in class `UserTaskServiceImpl`

### setDataService

    @Inject
    public void setDataService(RuntimeDataService dataService)

  Overrides:
    `setDataService` in class `UserTaskServiceImpl`

### setNonProcessScopedTaskService

    @Inject
    public void setNonProcessScopedTaskService(org.kie.internal.task.api.InternalTaskService nonProcessScopedTaskService)

  Overrides:
    `setNonProcessScopedTaskService` in class `UserTaskServiceImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.